---
title: "rename"
description: "The rename command description and usage"
keywords: "rename, docker, container"
---

<!-- This file is maintained within the docker/cli GitHub
     repository at https://github.com/docker/cli/. Make all
     pull requests against that repo. If you see this file in
     another repository, consider it read-only there, as it will
     periodically be overwritten by the definitive file. Pull
     requests which include edits to this file in other repositories
     will be rejected.
-->

# rename

```markdown
Usage:  docker rename CONTAINER NEW_NAME

Rename a container

Options:
      --help   Print usage
```

## Description

The `docker rename` command renames a container.

## Examples

```bash
$ docker rename my_container my_new_container
```
